
From: Andrew Morton <akpm@osdl.org>

kernel/irq/autoprobe.c: In function `probe_irq_on':
kernel/irq/autoprobe.c:48: warning: implicit declaration of function `msleep'

Cc: Luca Falavigna <dktrkranz@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/irq/autoprobe.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN kernel/irq/autoprobe.c~using-msleep-instead-of-hz-fix kernel/irq/autoprobe.c
--- 25/kernel/irq/autoprobe.c~using-msleep-instead-of-hz-fix	2005-06-25 01:37:43.000000000 -0700
+++ 25-akpm/kernel/irq/autoprobe.c	2005-06-25 01:45:09.000000000 -0700
@@ -9,6 +9,7 @@
 #include <linux/irq.h>
 #include <linux/module.h>
 #include <linux/interrupt.h>
+#include <linux/delay.h>
 
 /*
  * Autodetection depends on the fact that any interrupt that
_
